WordPress AJAX Post Search Plugin SQL Injection Vulnerability

CH azonosító

CH-7882

Angol cím

WordPress AJAX Post Search Plugin SQL befecskendezéses sérülékenység

Felfedezés dátuma

2012.11.04.

Súlyosság

Közepes

Érintett rendszerek

AJAX Post Search plugin
WordPress

Érintett verziók

WordPress AJAX Post Search Plugin 1.x

Összefoglaló

A WordPress-ben használt AJAX Post Search plugin sérülékenységét fedezték fel, amelyet kihasználva a támadók SQL befecskendezéses (SQL injection) támadásokat indíthatnak.

Leírás

A “srch_txt” POST paraméteren keresztül a wp-admin/admin-ajax.php részére átadott bemeneti adat nincs megfelelően ellenőrizve mielőtt azt a cardoza_ajax_search.php az SQL lekérdezésekben felhasználná. Ez kihasználható az SQL lekérdezések módosítására, tetszőleges SQL kód befecskendezésével.

A sérülékenységet az 1.1 verzióban igazolták. Más verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra